Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind.serial
Class TupleSerialMarshalledKeyCreator

    java.lang.Object
      com.sleepycat.bind.serial.TupleSerialKeyCreator
          com.sleepycat.bind.serial.TupleSerialMarshalledKeyCreator

All Implemented Interfaces:
  SecondaryKeyCreator

public class TupleSerialMarshalledKeyCreator
extends TupleSerialKeyCreator

A concrete key creator that works in conjunction with a `TupleSerialMarshalledBinding`. This key creator works by calling the methods of the `MarshalledTupleKeyEntity` interface to create and clear the index key fields.

Constructor Summary
`TupleSerialMarshalledKeyCreator(TupleSerialMarshalledBinding binding, String keyName)` Creates a tuple-serial marshalled key creator.

Method Summary
`boolean` | `createSecondaryKey(TupleInput primaryKeyInput, Object dataInput, TupleOutput indexKeyOutput)` Creates the index key entry from primary key tuple entry and deserialized data entry.
`Object` | `nullifyForeignKey(Object dataInput)` Clears the index key in the deserialized data entry.

Methods inherited from class com.sleepycat.bind.serial.TupleSerialKeyCreator
`createSecondaryKey, nullifyForeignKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleSerialMarshalledKeyCreator

    public TupleSerialMarshalledKeyCreator(TupleSerialMarshalledBinding binding,
                                           String keyName)

  Creates a tuple-serial marshalled key creator.

Parameters:
  `binding` - is the binding used for the tuple-serial entity.
  `keyName` - is the key name passed to the `MarshalledTupleKeyEntity.marshalSecondaryKey(java.lang.String, com.sleepycat.bind.tuple.TupleOutput)` method to identify the index key.

Method Detail

### createSecondaryKey

    public boolean createSecondaryKey(TupleInput primaryKeyInput,
                                      Object dataInput,
                                      TupleOutput indexKeyOutput)

  Description copied from class: `TupleSerialKeyCreator`
  Creates the index key entry from primary key tuple entry and deserialized data entry.

  Specified by:
    `createSecondaryKey` in class `TupleSerialKeyCreator`
  Parameters:
    `primaryKeyInput` - is the `TupleInput` for the primary key entry, or null if no primary key entry is used to construct the index key.
    `dataInput` - is the deserialized data entry, or null if no data entry is used to construct the index key.
    `indexKeyOutput` - is the destination index key tuple. For index keys which are optionally present, no tuple entry should be output to indicate that the key is not present or null.
  Returns:
    true if a key was created, or false to indicate that the key is not present.

### nullifyForeignKey

    public Object nullifyForeignKey(Object dataInput)

  Description copied from class: `TupleSerialKeyCreator`
  Clears the index key in the deserialized data entry.

  On entry the data parameter contains the index key to be cleared. It should be changed by this method such that `TupleSerialKeyCreator.createSecondaryKey(com.sleepycat.db.SecondaryDatabase, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry)` will return false. Other fields in the data object should remain unchanged.

  Overrides:
    `nullifyForeignKey` in class `TupleSerialKeyCreator`
  Parameters:
    `dataInput` - is the source and destination deserialized data entry.
  Returns:
    the destination data object, or null to indicate that the key is not present and no change is necessary. The data returned may be the same object passed as the data parameter or a newly created object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.